//def_MODNUM_path()
//Input : nothing
//Output : tt MODNUM path (ex:/home/alan/modnum_3)
function tt=def_MODNUM_path()
  tt=get_current_exec_dir()
  if tt=='' then
    tt=getcwd()
  else
    end_char=part(tt,length(tt))
    if end_char=='/'|end_char=='\' then
      tt=part(tt,1:length(tt)-1)
    end
  end
endfunction

//define MODNUM path
MODNUM=def_MODNUM_path()
clear def_MODNUM_path

//Build and load modnum_lib routines
printf("Build modnum_lib C routines\n");
path = '/src'
fils = glob(MODNUM+path+'/*.c')
lisf = []
for i=1:size(fils,1)
  lisf=[lisf;file("rootname",file("tail",fils(i)))]
end
libnam="modnum_lib"
cflag="-DWITH_FFTW3=1";
cur_rep=getcwd()
chdir(MODNUM+path)
ilib_for_link(lisf,lisf+".o","","c",makename="Makelib",loadername="loader_nsp.sce",libname=libnam,cflags=cflag)
link('libmodnum_lib.so')
chdir(cur_rep)

//Build and load scilab interface of modnum_lib routines
printf("Build Nsp interface of modnum_lib\n")
path='/interf/nsp/gateway/'
fils = glob(MODNUM+path+'/*.c')
lisf = []
for i=1:size(fils,1)
  lisf=[lisf;file("rootname",file("tail",fils(i)))]
end
libnam="intmodnum_lib"
ldflag=""
cflag="-I"""+MODNUM+"/src"" -c"
chdir(MODNUM+path)
ilib_for_link(lisf,lisf+".o","","c",makename="Makelib",loadername="loader.sce",libname=libnam,cflags=cflag,ldflags=ldflag)
addinter('./libintmodnum_lib.so','intmodnum_lib')
chdir(cur_rep)

clear path
clear fils
clear lisf
clear cur_rep
clear libnam
clear cflag
clear ldflag
