//return_master list
//fonction qui examine l'intgralit d'un rpertoire
//et qui retourne ses noms de repertoires et fichiers
//dans une liste scilab.
//Entre : path un vecteur de noms de rpertoire  xaminer
//         de pref en chemin absolu et de taille 1x1
//Sortie tt_ml : liste principale
// tt_ml()()()
//      | | |
//      | | |
//      | | |--> 1 : nom du rpertoire
//      | |      2 : liste des fichiers
//      | |      3 : liste des rpertoires sous-adjacents
//      | |
//      | |--> indice du n rpertoire
//      |
//      |--> indice du niveau d'arborescence
function tt_ml=return_master_list(path)

 if argn(2)==0 | ~exists('path') then
  path=MODNUMSCI
 elseif typeof(path)<>"string" then
  path=MODNUMSCI
 elseif path=="" then
  path=MODNUMSCI
 end

 printf("Search directories and files in %s... ",path);
 tt_ml=list();k=0;
 while path<>[]
   k=k+1;
  [tt,path]=return_single_list(path);
  tt_ml(k)=tt;
 end
 printf("Done\n");
endfunction

 
