// F   : fonction de transfert du filtre de boucle
//       (systme linaire en %s)
// kv  : sensibilit [Hz/v]
// Icp : courant max de la pompe de charge [A]
// N   : facteur de division du diviseur de retour
function A=openloop(F,kv,Icp,N)
 Kv  = kv*(2*%pi);
 Kcp = Icp/(2*%pi);
 A   = syslin('c',(Kv*Kcp*F.num),N*%s*F.den);
endfunction

